import request from '@/config/axios'

export interface SignInConfigVO {
  id: number | undefined,
  day: number | undefined,
  point: number,
  status: number
}

// 获取签到规则列表
export const getSignInConfigList = async (params) => {
  return await request.get({ url: `/menduner/reward/sign-in/config/list`, params })
}

// 获取签到规则列表
export const getSignInConfig = async (id) => {
  return await request.get({ url: `/menduner/reward/sign-in/config/get?id=${id}` })
}

// 删除签到规则
export const deleteSignInConfig = async (id) => {
  return await request.delete({ url: `/menduner/reward/sign-in/config/delete?id=${id}` })
}

// 创建签到规则
export const createSignInConfig = async (data) => {
  return await request.post({ url: `/menduner/reward/sign-in/config/create`, data })
}

// 更新签到规则
export const updateSignInConfig = async (data) => {
  return await request.put({ url: `/menduner/reward/sign-in/config/update`, data })
}